Package ru.bitel.bgbilling.kernel.log.server.event

# Class RequestLogGetEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.log.server.event.RequestLogGetEvent

All Implemented Interfaces:
  `Serializable`

public class RequestLogGetEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RequestLogGetEvent.LogEntryResult`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RequestLogGetEvent()`
  ``
  `RequestLogGetEvent(int moduleId, int deviceId, int applicationId, List<ConnectionLogEntry> logEntryList)`
  ``
  `RequestLogGetEvent(int moduleId, int deviceId, ConnectionLogEntry entry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getApplicationId()`
  `int`
  `getDeviceId()`
  `List<ConnectionLogEntry>`
  `getLogEntryList()`
  `List<RequestLogGetEvent.LogEntryResult>`
  `getLogEntryResultList()`
  `void`
  `prepareMessage(javax.jms.Message message)`
  `void`
  `setLogEntryResultList(List<RequestLogGetEvent.LogEntryResult> logEntryResultList)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RequestLogGetEvent

    protected RequestLogGetEvent()

  - ### RequestLogGetEvent

    public RequestLogGetEvent(int moduleId, int deviceId, int applicationId, List<ConnectionLogEntry> logEntryList)

  - ### RequestLogGetEvent

    public RequestLogGetEvent(int moduleId, int deviceId, ConnectionLogEntry entry)

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()

  - ### getLogEntryList

    public List<ConnectionLogEntry> getLogEntryList()

  - ### getLogEntryResultList

    public List<RequestLogGetEvent.LogEntryResult> getLogEntryResultList()

  - ### setLogEntryResultList

    public void setLogEntryResultList(List<RequestLogGetEvent.LogEntryResult> logEntryResultList)

  - ### getApplicationId

    public int getApplicationId()

  - ### prepareMessage

    public void prepareMessage(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`